--
--
--    Copyright (C) 2018  Henry Weidman
--
--    henry@weidmanenterprises.com
--
--    This is free software. You may share it or change
--    it. This software is distributed with no warranty. 
--
--
-- NAME
--		Base
--
-- SYNOPSIS
--		Paste the SQL statement into a LibreOffice Base Query
-- 
-- DESCRIPTION
--		SQL code to Query the members database
--
--
-- FILES
--		Base.sql - This file
--
-- 

--
-- This statement searches for partial case insensitive strings
--
SELECT * FROM "members" WHERE LOWER ( "lastname" ) LIKE '%' || LOWER ( :LastName ) || '%'


--
-- This statement searches for partial strings
--
SELECT * FROM "members" WHERE "lastname" LIKE '%' || :LastName || '%'

--
-- This statement searches for an exact match
--
SELECT * FROM "members" WHERE "lastname" = :LastName



